summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d2488d32c94
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Daniel Nagy <danielnagy at gmx de>
+
+pkgname=urbit-git
+_gitname=urbit
+pkgver=71085e0
+pkgrel=1
+pkgdesc="An Operating Function"
+url="http://www.urbit.org"
+arch=("i686" "x86_64")
+license=( "public_domain" )
+depends=( "libsigsegv" "termcap" "openssl" )
+source=( $_gitname"::git+https://github.com/urbit/urbit" )
+sha1sums=( 'SKIP' )
+
+pkgver() {
+ cd $srcdir/$_gitname
+ local ver="$(git describe --always)"
+ printf "%s" "${ver//-/.}"
+}
+
+build() {
+ cd "$srcdir/$_gitname"
+ make || true # first time it fails
+ make
+}
+
+package() {
+ cd "$srcdir/$_gitname"
+ make debinstall DESTDIR="$pkgdir"
+}